<CsoundSynthesizer>
<CsOptions>

csound -s -d -odevaudio -b4096 -B4096 

</CsOptions>
<CsInstruments>

; Initialize the global variables.
sr = 44100
kr = 44100
ksmps = 1
nchnls = 2

#include "Example4_FLTK.inc"

zakinit 3, 5
gitemp ftgen 100, 0, 8, -2, 1, 2, 3, 4, 5, 6, 7, 8
;-------------
;-------------
instr 1 

if gkButton >= 0 && gkButton <= 7 then
	tablew gk2, gkButton, 100
	endif
if (gkbut1 == 1) then
	kphase phasor gk4
	ilength = ftlen(100)
	kphase = kphase*ilength
	kval table kphase, 100
	a1 vco2 gk1, kval, 2, gk3, 0, .5
	zawm a1, 1, 1 ;write vco to zak space
elseif (gkbut1 ==0) then
	a1 vco2 gk1, gk2, 2, gk3, 0, .5
	zawm a1, 1, 1 ;write vco to zak space
endif
endin
;-------------
;-------------
instr 2
;AUDIO outs

asig zarg 1, 1 ;read a-rate from zak space w/no extra gain
outs asig , asig 

zacl 0, 1 ;clear a-rate variables or they will increase and clip
endin


</CsInstruments>
<CsScore>

i1 0 160
i2 0 160
e

</CsScore>
</CsoundSynthesizer>
